WorkflowGen 7.15.3

Configuration

  • Bug (#2704): Fixed an issue where the configuration settings would be saved to the wrong web.config file when the WorkflowGen website’s application URL was configured without the /wfgen webapp.

Workflow Engine

  • Performance (#2677): Performance improvement when retrieving transition information.

  • Performance (#2669, #2670): Performance improvement when retrieving macro information.

  • Performance (#2609): Performance improvement when deleting request and action data files.

  • Performance (#2647): Performance improvement when retrieving time zone information.

  • Bug (#2489): Fixed an action assignment issue where an action with the Automatic to the person (one action assigned per user) method is filtered with a data value that contains spaces in the username.

  • Bug (#2592): CanCompleteAction: Enforced permission check for users contained in the data used to filter the assignment of an action in Self-service mode.

Windows Services

  • Change (#2687): The WorkflowGen engine and directory synchronization services now run by default in the Windows OS native execution mode, instead of in the 32-bit preference mode.

  • Bug (#2665): Fixed an issue where the directory synchronization service was unable to check the current WorkflowGen license due to a case sensitivity issue in the name and value of the WebConfigPath parameter in the service’s configuration file.

WorkflowGen.My and WorkflowGen.My.Web.UI.WebControls

  • Bug (#2713): Fixed an exception error when a webform control databinds to a global list that has a filter string value containing an apostrophe (') character.

GraphQL

  • Updated Node.js vulnerable dependencies (lodash.merge and mem).

Auth

  • Updated Node.js vulnerable dependencies (nyc and mem).

SCIM

  • Updated Node.js vulnerable dependencies (nyc and mem).

Notes

  • All of the Node.js modules (GraphQL v2.0.2, Webhooks v4.0.1, Auth v1.0.1, and SCIM v1.0.1) now require Node.js version 10.15.3 LTS.

  • Running the npm install --production command is required on each of the modules (\wfgen\graphql, \wfgen\hooks, \wfgen\auth, and \wfgen\scim) after the upgrade.

Reminders

  • Microsoft Windows Server 2008 is no longer supported as of WorkflowGen version 7.11.0. We recommend migrating to Windows Server 2012 or later.

  • Microsoft SQL Server 2008 is no longer supported as of WorkflowGen version 7.10.0. While SQL Server 2008 is still compatible with WorkflowGen, support for any performance issues or bugs resulting from using SQL Server 2008 will no longer be provided.

    For clients currently hosting WorkflowGen on a database server older than MS SQL 2012 or Oracle 12c, we highly recommend upgrading to MS SQL server 2017 or Oracle 12c for the best performance and to support JSON native data fields that will used in future WorkflowGen releases.

Installation Packs

WorkflowGen 7.15.3 (Upgrade)
WorkflowGen 7.15.3 (Clean Install - PowerShell)
WorkflowGen 7.15.3 (Clean Install - manual)
WorkflowGen.My

Documentation

WorkflowGen 7.15.3 Upgrade Guide
WorkflowGen 7.15.3 Technical Guide
WorkflowGen 7.15.3 Administration Guide
WorkflowGen 7.15.3 User Portal Guide
WorkflowGen 7.15.3 Integration Guide

I am still having this issue with the license not valid after upgrading to 7.15.4

Hello Gabriel,

Have you read the following topic?

If after doing checks describes in the topic, you still have the problem, please open a ticket in the helpdesk.

Yes, I did all of that and still getting the license error message in the logs. I already have an open ticket with your helpdesk, I am guessing that the bug was related to my ticket.

I will wait for your support.